curs_move(3X)

NAME
move, wmove - move cursor in a curses window

SYNOPSIS
#include <ncurses/curses.h>

int move(int y, int x);
int wmove(WINDOW *win, int y, int x);

DESCRIPTION
wmove relocates the cursor associated with the curses window win to line y and column x. The terminal's cursor does not move until refresh(3X) is called. The position (y, x) is relative to the upper left-hand corner of the window, which has coordinates (0, 0). ncurses(3X) describes the move variant of this function.

RETURN VALUE
These functions return OK on success and ERR on failure.

They fail if the position (y, x) is outside the window boundaries.

wmove fails if its WINDOW pointer argument is NULL.

NOTES
move may be implemented as a macro.

PORTABILITY
X/Open Curses, Issue 4 describes these functions.

SEE ALSO
curses(3X), curs_refresh(3X)